STELLARIUM(1)

NAME
stellarium - A real-time realistic planetarium

SYNOPSIS
stellarium [OPTIONS]

DESCRIPTION
Stellarium is a free GPL software which renders realistic skies in real time with OpenGL. It is available for Linux/Unix, Windows and MacOSX. With Stellarium, you really see what you can see with your eyes, binoculars or a small telescope.

OPTIONS

-v, --version
    Print program name and version and exit.

-h, --help
    Print a brief synopsis of program options and exit.

-c, --config-file file
    Use file for the config filename instead of the default config.ini.

-u, --user-dir dir
    Use dir instead of the default user data directory ($HOME/.stellarium/ on *nix operating systems).

--verbose
    Even more diagnostic output in logfile (esp. multimedia handling).

--scale-gui scale factor
    Scaling the GUI according to scale factor.

-d, --dump-opengl-details
    Dump information about OpenGL support to logfile. Use this is you have graphics problems and want to send a bug report.

-f, --full-screen yes|no
    With argument yes or no over-rides the full screen setting in the config file. The setting is saved in the config-file and as such will be the default for subsequent invocations of Stellarium.

--screenshot-dir dir
    Set the directory into which screenshots will be saved to dir, instead of the default (which is $HOME on *nix operating systems).

--startup-script script
    Specify name of startup script.

--home-planet planet-name
    Specify observer planet. planet-name is an English name, and should refer to an object defined in the ssystem.ini file.

--altitude alt
    Specify the initial observer altitude, where alt is the altitude in meters.

--longitude lon
    Specify the initial observer longitude, where lon is the longitude. The format is illustrated by this example: +4d16'12" which refers to 4 degrees, 16 minutes and 12 arc seconds East. Westerly longitudes should be prefixed with "-".

--latitude lat
    Specify the initial observer latitude, where lat is the latitude. The format is illustrated by this example: +53d58'16.65" which refers to 53 degrees, 58 minutes and 16.65 arc seconds North. Southerly latitudes should be prefixed with "-".

--list-landscapes
    Print a list of landscape names and exit.

--landscape name
    Start Stellarium using landscape name. Refer to --list-landscapes for possible names.

--sky-date date
    Specify sky date in format yyyymmdd.

--sky-time time
    Specify sky time in format hh:mm:ss.

--fov fov
    Specify the field of view (fov degrees).

--projection-type p
    Specify projection type, p. Permitted values of p are: equalarea, stereographic, fisheye, cylinder, mercator, perspective, and orthographic.

--restore-defaults
    Delete existing config.ini and use defaults.

RETURN VALUE

0   Completed successfully.

not 0
    Some sort of error.

FILES
Note: file locations on non-*nix operating systems (include OSX) may vary. Please refer to the Stellarium User Guide for more details, as well as information on how to customise the Stellarium data files.

/usr/share/stellarium/
    This is the Installation Data Directory set at compile-time.

$HOME/.stellarium/
    This is the User Data Directory, which may be over-ridden using command line option -u. It contains the user's settings, extra landscapes, scripts, and can also be used to over-ride data files which are provided with the default install.

$HOME/.stellarium/config.ini
    The default main configuration file is config.ini. Refer to -c above to use a different filename and to -u to use a different User Data Directory.

$HOME/
    The default screenshot directory. Refer to --screenshot-dir to use a different path.

SEE ALSO
celestia(1).

NOTES
Sources of more information:

Websites
    Main website: <http://stellarium.org/>

    Wiki: <http://stellarium.org/wiki/>

    Forums: <http://sourceforge.net/projects/stellarium/forums>

    Downloads: <http://sourceforge.net/projects/stellarium/files/>

    Support Requests: <https://answers.launchpad.net/stellarium>

    Bug Tracker: <https://bugs.launchpad.net/stellarium>

The Stellarium User Guide
    Visit the downloads page to get a PDF copy of the Stellarium User Guide.

BUGS
Please report bugs using the bug tracker link in the NOTES section of this page.

AUTHOR
Fabien Chereau, Rob Spearman, Johan Meuris, Matthew Gates, Johannes Gajdosik, Nigel Kerr, Andras Mohari, Bogdan Marinov, Timothy Reaves, Mike Storm, Diego Marcos, Guillaume Chereau, Alexander Wolf, Georg Zotti

x14817